//
//    ***********************************************************************
//    *                        COPYRIGHT NOTICE                             *
//    *      (c) Copyright October 2000, Michael Pendley, K5ATM             *
//    *                                                                     *
//    * This software is available for non-commercial use only. Use by      *
//    * amateur radio operators and applications associated with education  *
//    * permitted without fees.  The author retains all rights to all       *
//    * other applications.  Contact the author for commercial applications *
//    ***********************************************************************
//
//
///////////////// Defines used as parameters by the program

#define TTvers 0x10   // x.y (1.0),  upper 4 bits = x, lower 4 bits = y
#define LoopLength1200 = 33  // Used in sendbyte to control 1200Hz bit time
#define LoopLength2200 = 59  // Used in sendbyte to control 2200Hz bit time

#define cd       RA0
#define valid    RA1
#define ptt_out  RA2
#define sout     RA3
//#define sin      RA4
#define r8k      RB0
#define r4k      RB1
#define r2k      RB2
#define r1k      RB3
#define audio    RB4
#define ptt_in   RB5
#define sw1      RB6
#define sw2      RB7

// The from and path info below are a series of 7 byte values.
// Each has 6 letters/numbers followed by an SSID.  No SSID is
// indicated by an ASCII zero.
//
// If callsigns of less than 6 chars are used then spaces must be
// added to pad to six. For example,
//    K5ATM-3 is stored as K5ATM<space>3
//    WIDE    is stored as WIDE<space><space>0
//    WIDE3-3 is stored as WIDE3<space>3
//
// All values are multiplied by 2 per the X.25 specification
// (the LSB of each byte must be 0 for extended addressing)
//
//  The SSID must be between 0 and 15 and is formatted as follows:
//   MSB           LSB
//    0 1 1 S S I D 0
//
//       b7 is a flag used by repeaters.  We set it to 0
//       b6-b5 are reserved and should be set to 1
//       b4-b1 = SSID (0 to 15)
//       b0 = zero (for extended addressing)
//
// The easy way to generate the (encoded) SSID is to say
//    encoded SSID = (0x30 + SSID) * 2
//    encoded SSID = (ASCII zero + SSID) * 2
//    If we want an SSID of 11 we use 0x3b * 2 = 0x76
//
// The last byte in the path has an LSB of 1
//
//
//   Path Info
//
#define EEfrom		0x00
//
//   Config 1 Info
//
#define EEsymbtab1	0x1C    //  "/" is primary table, "\" is secondary table
#define EEsym1		0x1D
#define EEtrate1	0x1E
#define EEbrate1	0x1F
//
//   Config 2 info
//
#define EEsymbtab2	0x20
#define EEsym2		0x21
#define EEtrate2	0x22
//
// Config info common to Config 1 and Config 2
//
#define EEbrate2	0x23
#define EEqtime		0x24       // Channel must remain quite for this
#define EExdelay	0x25      // This many flags are sent before data is xmitted
#define EEtone1200	0x26
#define EEdink12	0x27     // 1200Hz fine tune parameter
#define EEtone2200	0x28
#define EEdink22	0x29
//
// Use remaining EEPROM for a comment
//
#define EEcomment	0x2A
#define EElastByte	0x3F  //Comment string ends with a zero

